### Method

# Fwupd BiosSetting get_id

since: 1.8.4

#### Declaration [src]

    const gchar*
    fwupd_bios_setting_get_id (
      FwupdBiosSetting* self
    )

#### Description [src]

Gets the unique attribute identifier for this attribute/driver.

Available since: 1.8.4

#### Return value

Type: `const gchar*`

Attribute ID if set otherwise NULL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.